#include "bittest.h" 
#include <math.h>
#include "wuerfel.h"
#include <stdbool.h>

// Deklaration
int f(int x);

int g(int x)
{
  return 3*f(4+x); // f(4+x): Aufruf
}

// Definition
int f(int x)
{
  return 2*x;
}

// Schreiben Sie eine Funktion, der kein Parameter bergeben wird,
// die aber trotzdem beim jedem Aufruf einen anderen Wert
// zurckliefert als beim Aufruf davor.

int f1(void)
{
  static int x = 42;
  x++;
  return x;
}

int main( void )
{
  seed(43);
  int a = wuerfelWerfen();
  a = wuerfelWerfen();
  a = wuerfelWerfen();

  // Bestimmen Sie Mittelwert und Varianz von 100 Zahlen
  // aus Ihrem (Pseudo-)Zufallszahlengenerator.
  // Verwenden Sie fr die Ergebnisse double statt int.

  seed(43);
  double summe = 0.0;
  double summeQuadrate = 0.0;
  for(int i = 0; i < 100; i++)
  {
    int x = wuerfelWerfen();
    summe += x;
    summeQuadrate += x * x;
  }
  double mittelwert = summe / 100;
  // Varianz der Gesamtheit!!
  double varianz = summeQuadrate / 100 - mittelwert * mittelwert;
  double standardabweichung = sqrt(varianz);
  
  bool z = bittest(8+4+16, 4);
  z = bittest(8+32, 4);
  
  return 0;
}
